Represents imported xml component from xml file.

### Hierarchy

- XmlComponent
  - ImportedXmlComponent

## Index

### Constructors

- constructor

### Accessors

- IsDeleted

### Methods

- addChildElement
- delete
- prepForXml
- push
- fromXmlString

## Constructors

### constructor

- new ImportedXmlComponent(rootKey: string, _attr?: any): ImportedXmlComponent

- Overrides XmlComponent.constructor

  - Defined in file/xml-components/imported-xml-component.ts:57

  #### Parameters

  - ##### rootKey: string

  - ##### Optional _attr: any

  #### Returns ImportedXmlComponent

## Accessors

### IsDeleted

- get IsDeleted(): boolean

- Inherited from BaseXmlComponent.IsDeleted

  - Defined in file/xml-components/base.ts:13

  #### Returns boolean

## Methods

### addChildElement

- addChildElement(child: XmlComponent | string): XmlComponent

- Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:34

  #### Parameters

  - ##### child: XmlComponent | string

  #### Returns XmlComponent

### delete

- delete(): void

- Inherited from XmlComponent.delete

  - Defined in file/xml-components/xml-component.ts:40

  #### Returns void

### prepForXml

- prepForXml(): IXmlableObject

- Overrides XmlComponent.prepForXml

  - Defined in file/xml-components/imported-xml-component.ts:92

  Transforms the object so it can be converted to xml. Example: <w:someKey someAttr="1" otherAttr="11"> <w:child childAttr="2"> </w:child> </w:someKey> { 'w:someKey': [ { _attr: { someAttr: "1", otherAttr: "11" } }, { 'w:child': [ { _attr: { childAttr: "2" } } ] } ] }

  #### Returns IXmlableObject

### push

- push(xmlComponent: XmlComponent): void

- - Defined in file/xml-components/imported-xml-component.ts:103

  #### Parameters

  - ##### xmlComponent: XmlComponent

  #### Returns void

### Static fromXmlString

- fromXmlString(importedContent: string): ImportedXmlComponent

- - Defined in file/xml-components/imported-xml-component.ts:112

  Converts the xml string to a XmlComponent tree.

  #### Parameters

  - ##### importedContent: string

    xml content of the imported component

  #### Returns ImportedXmlComponent

Generated using TypeDoc